Subject: categories: lax functors and bimodules

From: "Urs Schreiber" <[email-masked]>
Date: Wed, 19 Apr 2006 22:25:58 +0200

Dear category theorists,

let C be a monoidal category and S(C) the same category but regarded
as a bicatgeory with a single object.

Unless I am confused, a lax functor into S(C) is a lot like a
sub-bicategory of the bicategory of bimodules internal to C.

Identity morphisms a--Id-->a are sent by the lax functor to algebras
A_a internal to C and morphisms  a--->b to A_a-A_b bimodules.
Composite morphisms a-->b-->c are sent to bimodule products over A_b.

This, and in particular its precise formulation, must be well known.
But I could not locate a reference for it.

If anyone could provide any comments or point me to some literature,
I'd be very grateful.

P.S.

This should play a role in defining the notion of background
configurations is rational conformal field theory:

http://golem.ph.utexas.edu/string/archives/000794.html